impl Namespace Reference

## Classes

struct | Frame
class | SignalTrap

## Functions

std::tuple< std::string, bool > | demangle (const std::string &symbol)
void | set_thread_signal_mask (::sigset_t *new_mask, ::sigset_t *old_mask)
void | set_process_signal_mask (::sigset_t *new_mask, ::sigset_t *old_mask)

## Function Documentation

## demangle()

std::tuple<std::string, bool> impl::demangle | ( | const std::string & | symbol | ) |

Definition at line 29 of file backtrace.cpp.

Referenced by impl::Frame::Symbol::Symbol().

## set_process_signal_mask()

void impl::set_process_signal_mask | ( | ::sigset_t * | new_mask,
|  | ::sigset_t * | old_mask
| ) |  |

Definition at line 37 of file signal.cpp.

Referenced by impl::SignalTrap::SignalTrap(), and impl::SignalTrap::~SignalTrap().

## set_thread_signal_mask()

void impl::set_thread_signal_mask | ( | ::sigset_t * | new_mask,
|  | ::sigset_t * | old_mask
| ) |  |

Definition at line 32 of file signal.cpp.

Referenced by impl::SignalTrap::SignalTrap(), and impl::SignalTrap::~SignalTrap().